MTREE_NNODE(3)

NAME
mtree_nnode - return pointer to mtree node

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/mtree.h>

uint8_t *mtree_nnode(mtree_t *tree, size_t node);

Compile and link with -llibrecast.

DESCRIPTION
The mtree_nnode function returns a pointer to the hash of node node, where 0 = root.

RETURN VALUE
mtree_nnode() returns a pointer to the hash of the numbered node. On error, NULL is returned, and errno is set to indicate the error.

ERRORS

ERANGE
    The node requested is out of range for tree.

SEE ALSO
mtree_init(3), mtree_free(3), mtree_build(3)